{
    "name": "laravel/laravel",
    "type": "project",
    "description": "The Laravel Framework.",
    "keywords": [
        "framework",
        "laravel"
    ],
    "license": "MIT",
    "require": {
        "php": "^7.2.5",
        "doctrine/dbal": "^2.10",
        "fideloper/proxy": "^4.2",
        "fruitcake/laravel-cors": "^1.0",
        "guzzlehttp/guzzle": "^6.3",
        "infyomlabs/adminlte-templates": "7.0.x-dev",
        "intervention/image": "^2.5",
        "laravel-frontend-presets/material-dashboard": "^1.1",
        "laravel/framework": "^7.0",
        "laravel/helpers": "^1.4",
        "laravel/tinker": "^2.0",
        "laravel/ui": "^2.5",
        "laravelcollective/html": "^6.2",
        "nesbot/carbon": "^2.41",
        "spatie/laravel-medialibrary": "^7.19",
        "spatie/laravel-permission": "^3.17",
        "uxweb/sweet-alert": "^2.0",
        "yajra/laravel-datatables": "1.5",
        "yajra/laravel-datatables-oracle": "~9.0"
    },
    "require-dev": {
        "facade/ignition": "^2.0",
        "fzaninotto/faker": "^1.9.1",
        "jason-guru/laravel-make-repository": "^0.0.3",
        "mockery/mockery": "^1.3.1",
        "nunomaduro/collision": "^4.1",
        "phpunit/phpunit": "^8.5"
    },
    "config": {
        "optimize-autoloader": true,
        "preferred-install": "dist",
        "sort-packages": true
    },
    "extra": {
        "laravel": {
            "dont-discover": []
        }
    },
    "autoload": {
        "files":[
            "app/Helpers/helpers.php"
        ],
        "psr-4": {
            "App\\": "app/",
            "LaravelFrontendPresets\\MaterialPreset\\": "presets/material/src"
        },
        "classmap": [
            "database/seeds",
            "database/factories"
        ]
    },
    "autoload-dev": {
        "psr-4": {
            "Tests\\": "tests/",
            "LaravelFrontendPresets\\MaterialPreset\\": "presets/material/src"
        }
    },
    "minimum-stability": "dev",
    "prefer-stable": true,
    "scripts": {
        "post-autoload-dump": [
            "Illuminate\\Foundation\\ComposerScripts::postAutoloadDump",
            "@php artisan package:discover --ansi"
        ],
        "post-root-package-install": [
            "@php -r \"file_exists('.env') || copy('.env.example', '.env');\""
        ],
        "post-create-project-cmd": [
            "@php artisan key:generate --ansi"
        ]
    }
}
